Package org.eclipse.jdt.launching.sourcelookup

# Class LocalFileStorage

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.debug.core.sourcelookup.containers.LocalFileStorage
org.eclipse.jdt.launching.sourcelookup.LocalFileStorage

All Implemented Interfaces:
  `org.eclipse.core.resources.IStorage`, `org.eclipse.core.runtime.IAdaptable`

@Deprecated public class LocalFileStorage extends org.eclipse.debug.core.sourcelookup.containers.LocalFileStorage
Deprecated.
In 3.0 this class is now provided by the debug platform. Clients should use the replacement class `org.eclipse.debug.core.sourcelookup.containers.LocalFileStorage`
Implementation of storage for a local file (`java.io.File`).

This class may be instantiated.

Since:
  2.0
See Also:
  - `DirectorySourceLocation`
  - `IStorage`
Restriction:
  This class is not intended to be sub-classed by clients.

## Constructor Summary

Constructors
Constructor
Description
`LocalFileStorage(File file)`
Deprecated.

## Method Summary

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.LocalFileStorage

`equals, getContents, getFile, getFullPath, getName, hashCode, isReadOnly`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Constructor Details

### LocalFileStorage

@Deprecated public LocalFileStorage(File file)
Deprecated.
Constructs and returns storage for the given file.

Parameters:
  `file` - a local file